# Split

The **Split** function extracts each page from the input PDF and saves them as new files, using the output PDF settings.

Each page is saved to a new file, using the output PDF filename with a suffix added to indicate the page number.

***

## Properties

### Input <a href="#input" id="input"></a>

The following properties specify the PDF document to be loaded and modified by the operation:

#### File path <a href="#file-path" id="file-path"></a>

Path to the PDF file.

#### Authentication type <a href="#authentication-type" id="authentication-type"></a>

PDF files can be protected using a password or a certificate. This field indicates which type of authentication to attempt when loading the PDF.

1. **None**\
   The document is unprotected and can be opened immediately.
2. **Password**\
   The document is protected by a password.
3. **Certificate**\
   The document is protected by a certificate.

**Password**\
Only displayed when **Authentication type** is 'Password'.

* **Password**: Password required to access the PDF file.

{% hint style="info" %}

> **Note:**\
> All passwords entered into this function's properties will be visible in plain text in the Linx solution file and in the compiled .NET assembly.
> {% endhint %}

**Certificate**\
Only displayed when **Authentication type** is 'Certificate'.

**Certificate source**:\
Source to load the certificate from:

1. **File** - Load a certificate from a .pfx file.
2. **Store** - Load a certificate from the Windows certificate store.

**File**

Displayed when **Certificate source** is 'File'.

* **Certificate file path**: Path to a .pfx file containing a certificate.
* **Certificate file password**: Password needed to open the certificate file.

**Store**

Displayed when **Certificate source** is 'Store'.

* **Certificate**: Certificate in the Windows keystore.

{% hint style="info" %}

> **Note:**\
> Certificate protected files are not supported by the "Fill form," "Sign," "Add watermark," and "Concatenate" operations. If you need to use the operations on a certificate-protected document, first remove the certificate protection using the "Change protection" operation. The certificate must include the private key in order to be able to load the document.
> {% endhint %}

***

### Misc <a href="#misc" id="misc"></a>

* **Loop results**: Creates an execution path to loop through the names of the new PDF files.

***

### Output <a href="#output" id="output"></a>

The following properties specify options for saving the PDF document after it has been modified.

#### Output PDF file path <a href="#output-file-path" id="output-file-path"></a>

Path to the PDF file to write to.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/pdf/content/split.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
